Subject: Re: [PATCH 2/2] netlink: kill eff_cap from struct netlink_skb_parms

From: Chris Wright <[email-masked]>
Date: Thu, 3 Mar 2011 12:17:26 -0800

* Chris Wright ([email-masked]) wrote:
> Ideally, we'd consolidate those into a variant of security_netlink_recv().
> However the issue is with types.  Inside connector callback we only have
> netlink_skb_params (seems inapproriate to cast back out to skb).
> 
> We could change the lsm hook to only pass nsp, but SELinux actually
> cares about the netlink type.  Any ideas?

Actually I misremembered, it only cares on the send path.

We could completely drop skb from recv lsm hook, will send an RFC
momentarily with example.

thanks,
-chris